%define	name	id3ed
%define	version	1.10
%define	release	1
%define	serial	1

Summary:	id3ed - edit id3 description tags in mpeg3 files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/File
URL:		http://www.azstarnet.com/~donut/programs.html
Vendor:		Matt Mueller <donut@azstarnet.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
id3ed edits the "id3" tag for mpeg layer3 files. The mpeg3
specification does not provide any method for storing song
information, however the id3 tag has become a standard method
for doing this, and most mp3 players can read the tag. It will
not cause any errors in players that do not support it.
The tag is 128 bytes long and is located at the end of the file.

%prep
%setup -q

%build
export CXXFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=/usr
make prefix=/usr

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}/usr/bin \
	 ${RPM_BUILD_ROOT}/usr/man/man1
make prefix=${RPM_BUILD_ROOT}/usr install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc COPYING Changelog README
/usr/bin/id3ed
/usr/man/man1/id3ed.1*

%changelog
* Wed Feb 23 2000 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.10-1]
- Added -m/M mp3 rename options.  alpha-ish.
- Added readline completion for genres
- Fixed default genre type with no readline (Glenn Maynard)

* Thu Jul  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.9-1]
- -i opens with O_RDONLY (Jeremy Monin)
- id3 v1.1 track number support, with backwards compatibility (original
  v1.1-only patch from Chris Seawood)

* Fri Jun 11 1999 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.8-1]
- included install-sh with src.

* Thu Jun 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.7-1]
- included install-sh from rxvt because it was not include with src.
- 06/09/1999 - 1.7
- Fixed missing genre entry
- Now uses autoconf
- -i now on the manpage

* Sun Jun  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.6-1]
- 06/03/1999 - 1.6
- Uses strerror() instead of sys_errlist[] (Eric L. Schott)
- Fixed non readline compile (Arndt Schoenewald)
- Added -i mode to show current tags

* Wed Jun  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.5-1]
- 06/01/1999 - 1.5
- Updated genre list, now has 22 more genres
- Added -L switch for alternate ordering when printing genre list
- Fixed -l mode of genre listing, shouldn't print extra on the end
  or miss any

* Mon Mar 29 1999 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.4-1]
- 03/26/1999 - 1.4
- Added -r option to remove id3 tags
- Replaced "Illegal args" error with help message.
- Quiet mode doesn't print the name/version anymore.

* Fri Mar 26 1999 Ryan Weaver <ryanw@infohwy.com>
  [id3ed-1.3-1]
- Initial RPM Build.
- 03/23/1999 - 1.3
- Removed a debug printf that sneaked into the release.
- Added -l to show known genres.
- Added support to set genre by name as well as number.

- 03/22/1999 - 1.2
- Added -SNAYCG selection of which tags you want to edit.
- Added optional use of readline library for input.
  (Tested with Readline 4.0)  Comment the appropriate
  lines in the Makefile if you don't want it.

- 12/03/1998 - 1.1
- Added command line default value patch from Peter Karlsson <pk@abc.se>
- Added -q(uiet) command line param.

- 02/24/1998 - 1.0 - initial release

